package com.bc_chat.account.contract;

import com.bc_chat.bc_base.contract.WebContract;

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：
 */

public interface VerifySmsContract {

    interface Presenter {
        /**
         * 验证验证码
         *
         * @param phone   账户
         * @param smsCode 短信验证吗
         */
        void verifySmsCode(String phone, String smsCode, int type);

        /**
         * 获取网页协议
         * @param type
         */
        void loadWebPage(int type);
    }

    interface View extends SendCodeContract.View, WebContract.View {

        void verifySuccess();

        void verifyFailure(Exception exception);
    }
}
